set -x DOTFILES $HOME/dotfiles

if test -z "$FISH_SETUP_PATH"
    set -xp PATH $HOME/.pyenv/bin
    set -xp PATH $HOME/.local/bin
    set -xp PATH $HOME/dotfiles/bin
    set -xp PATH $HOME/bin
    set -xp PATH .

    set -x FISH_SETUP_PATH
end

set -x LANG sv_SE.UTF-8
set -x LC_ALL sv_SE.UTF-8

set -x EDITOR nvim
alias v nvim

if type -q pyenv
    pyenv init --path | source
end
# pyenv virtualenv-init - | source

alias dc="docker compose"
alias dce="docker compose exec"
alias drh="docker run -it --rm -v (pwd):/usr/(pwd) -w /usr/(pwd)"


# Include local config if present

if test -r $DOTFILES/fish/local.fish
  source $DOTFILES/fish/local.fish
end

